%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name Image_Canvas

# tests are not unit or regression tests. This is because it is not
# possible to compare output from Image_Driver with an expected "value"

Name:           php-pear-Image-Canvas
Version:        0.3.4
Release:        1%{?dist}
Summary:        Common interface to image drawing

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://pear.php.net/package/Image_Canvas
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear(PEAR) >= 1.8.1

Requires:       php-pear(PEAR)
Requires:       php-pear(Image_Color) >= 1.0.0
#Requires(hint): php-pecl-pdflib
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

%description
A package providing a common interface to image drawing, making
image source code independent on the library used.


%prep
%setup -qc
# Create a "localized" php.ini to avoid build warning
cp /etc/php.ini .
echo "date.timezone=UTC" >>php.ini

# Create a README.Fedora file for PDF usage
cat > README.Fedora << EOF
To use PDF.php in this package, you must install the php-pecl-pdflib
package which is available in other 3rd party repositories.  The
php-pecl-pdflib package is not required to use this package as long
as you do not use the PDF features.
EOF

cd %{pear_name}-%{version}
# Package.xml is V2
mv ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
rm -rf %{buildroot}
cd %{pear_name}-%{version}
PHPRC=../php.ini %{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_phpdir}/.??*

# Install XML package description
install -d %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}


%clean
rm -rf %{buildroot}


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%doc README.Fedora
%{pear_xmldir}/%{name}.xml
%{pear_testdir}/%{pear_name}
%{pear_datadir}/%{pear_name}
%{pear_phpdir}/Image/Canvas*


%changelog
* Fri Jan 27 2012 Remi Collet <remi@fedoraproject.org> - 0.3.4-1
- Version 0.3.4 (alpha) - API 0.3.2 (alpha) - QA release
- report for incorrect-fsf-address: https://pear.php.net/bugs/19253

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Apr 17 2011 Remi Collet <Fedora@FamilleCollet.com> 0.3.3-3
- doc in /usr/share/doc/pear

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 28 2010 Remi Collet <Fedora@FamilleCollet.com> - 0.3.3-1
- Version 0.3.3 (alpha) - API 0.3.2 (alpha) - QA release

* Wed Aug 18 2010 Remi Collet <Fedora@FamilleCollet.com> - 0.3.2-2
- rename Image_Canvas.xml to php-pear-Image-Canvas.xml
- set date.timezone during build
- clean define

* Mon Sep 07 2009 Christopher Stone <chris.stone@gmail.com> 0.3.2-1
- Upstream sync
- Add new %%{datadir}
- Update build requires

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Aug 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.3.1-2
- fix license tag

* Mon Jul 02 2007 Christopher Stone <chris.stone@gmail.com> 0.3.1-1
- Upstream Sync

* Wed Jan 03 2007 Christopher Stone <chris.stone@gmail.com> 0.3.0-3
- No longer remove PDF.php file
- Add README.Fedora file exlaining requirements for PDF.php
- No longer own Image directory

* Thu Dec 07 2006 Christopher Stone <chris.stone@gmail.com> 0.3.0-2
- Remove PDF.php until php-pecl-pdflib is added to Extras

* Sun Dec 03 2006 Christopher Stone <chris.stone@gmail.com> 0.3.0-1
- Initial Release
